
_write_mlx90614:

;mlx90614.c,35 :: 		int write_mlx90614(char address, long value){
;mlx90614.c,36 :: 		int a,cnt=0;
	CLRF        write_mlx90614_cnt_L0+0 
	CLRF        write_mlx90614_cnt_L0+1 
	CLRF        write_mlx90614_lsb_L0+0 
	CLRF        write_mlx90614_msb_L0+0 
;mlx90614.c,39 :: 		if (address >= 0x20){   //Only write in EEPROM
	MOVLW       32
	SUBWF       FARG_write_mlx90614_address+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_write_mlx906140
;mlx90614.c,40 :: 		if (address <= 0x21) value = value * 100 + 27315;  //Tmax and Tmin are given in degrees celsius
	MOVF        FARG_write_mlx90614_address+0, 0 
	SUBLW       33
	BTFSS       STATUS+0, 0 
	GOTO        L_write_mlx906141
	MOVF        FARG_write_mlx90614_value+0, 0 
	MOVWF       R0 
	MOVF        FARG_write_mlx90614_value+1, 0 
	MOVWF       R1 
	MOVF        FARG_write_mlx90614_value+2, 0 
	MOVWF       R2 
	MOVF        FARG_write_mlx90614_value+3, 0 
	MOVWF       R3 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVLW       179
	ADDWF       R0, 0 
	MOVWF       FARG_write_mlx90614_value+0 
	MOVLW       106
	ADDWFC      R1, 0 
	MOVWF       FARG_write_mlx90614_value+1 
	MOVLW       0
	ADDWFC      R2, 0 
	MOVWF       FARG_write_mlx90614_value+2 
	MOVLW       0
	ADDWFC      R3, 0 
	MOVWF       FARG_write_mlx90614_value+3 
L_write_mlx906141:
;mlx90614.c,42 :: 		switch(address){
	GOTO        L_write_mlx906142
;mlx90614.c,43 :: 		case Tmax: UART1_Write_Text("Writing Tmax...\r\n"); break;
L_write_mlx906144:
	MOVLW       ?lstr1_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_write_mlx906143
;mlx90614.c,44 :: 		case Tmin: UART1_Write_Text("Writing Tmin...\r\n"); break;
L_write_mlx906145:
	MOVLW       ?lstr2_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr2_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_write_mlx906143
;mlx90614.c,45 :: 		case amb_range: UART1_Write_Text("Writing Ta range...\r\n"); break;
L_write_mlx906146:
	MOVLW       ?lstr3_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr3_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_write_mlx906143
;mlx90614.c,46 :: 		case PWMCTRL: UART1_Write_Text("Writing PWMCTRL...\r\n"); break;
L_write_mlx906147:
	MOVLW       ?lstr4_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr4_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_write_mlx906143
;mlx90614.c,47 :: 		case Conreg1: UART1_Write_Text("Writing Config Register 1...\r\n"); break;
L_write_mlx906148:
	MOVLW       ?lstr5_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr5_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_write_mlx906143
;mlx90614.c,48 :: 		case SMBus_Address: UART1_Write_Text("Writing SMBus Address...\r\n"); break;
L_write_mlx906149:
	MOVLW       ?lstr6_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr6_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_write_mlx906143
;mlx90614.c,49 :: 		}
L_write_mlx906142:
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__write_mlx9061451
	MOVLW       32
	XORWF       FARG_write_mlx90614_address+0, 0 
L__write_mlx9061451:
	BTFSC       STATUS+0, 2 
	GOTO        L_write_mlx906144
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__write_mlx9061452
	MOVLW       33
	XORWF       FARG_write_mlx90614_address+0, 0 
L__write_mlx9061452:
	BTFSC       STATUS+0, 2 
	GOTO        L_write_mlx906145
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__write_mlx9061453
	MOVLW       35
	XORWF       FARG_write_mlx90614_address+0, 0 
L__write_mlx9061453:
	BTFSC       STATUS+0, 2 
	GOTO        L_write_mlx906146
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__write_mlx9061454
	MOVLW       34
	XORWF       FARG_write_mlx90614_address+0, 0 
L__write_mlx9061454:
	BTFSC       STATUS+0, 2 
	GOTO        L_write_mlx906147
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__write_mlx9061455
	MOVLW       37
	XORWF       FARG_write_mlx90614_address+0, 0 
L__write_mlx9061455:
	BTFSC       STATUS+0, 2 
	GOTO        L_write_mlx906148
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__write_mlx9061456
	MOVLW       46
	XORWF       FARG_write_mlx90614_address+0, 0 
L__write_mlx9061456:
	BTFSC       STATUS+0, 2 
	GOTO        L_write_mlx906149
L_write_mlx906143:
;mlx90614.c,51 :: 		while(cnt < 2){          //2 rounds: erase and write new data
L_write_mlx9061410:
	MOVLW       128
	XORWF       write_mlx90614_cnt_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__write_mlx9061457
	MOVLW       2
	SUBWF       write_mlx90614_cnt_L0+0, 0 
L__write_mlx9061457:
	BTFSC       STATUS+0, 0 
	GOTO        L_write_mlx9061411
;mlx90614.c,52 :: 		if (cnt == 1){
	MOVLW       0
	XORWF       write_mlx90614_cnt_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__write_mlx9061458
	MOVLW       1
	XORWF       write_mlx90614_cnt_L0+0, 0 
L__write_mlx9061458:
	BTFSS       STATUS+0, 2 
	GOTO        L_write_mlx9061412
;mlx90614.c,53 :: 		delay_ms(5);      //Time needed for cell to be erased (Melexis Application Note)
	MOVLW       33
	MOVWF       R12, 0
	MOVLW       118
	MOVWF       R13, 0
L_write_mlx9061413:
	DECFSZ      R13, 1, 1
	BRA         L_write_mlx9061413
	DECFSZ      R12, 1, 1
	BRA         L_write_mlx9061413
	NOP
;mlx90614.c,54 :: 		lsb = value & 0xFF;
	MOVLW       255
	ANDWF       FARG_write_mlx90614_value+0, 0 
	MOVWF       write_mlx90614_lsb_L0+0 
;mlx90614.c,55 :: 		msb = value >> 8;
	MOVF        FARG_write_mlx90614_value+1, 0 
	MOVWF       R0 
	MOVF        FARG_write_mlx90614_value+2, 0 
	MOVWF       R1 
	MOVF        FARG_write_mlx90614_value+3, 0 
	MOVWF       R2 
	MOVLW       0
	BTFSC       FARG_write_mlx90614_value+3, 7 
	MOVLW       255
	MOVWF       R3 
	MOVF        R0, 0 
	MOVWF       write_mlx90614_msb_L0+0 
;mlx90614.c,56 :: 		}
L_write_mlx9061412:
;mlx90614.c,58 :: 		for(a=0; a<256; a++){
	CLRF        write_mlx90614_a_L0+0 
	CLRF        write_mlx90614_a_L0+1 
L_write_mlx9061414:
	MOVLW       128
	XORWF       write_mlx90614_a_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORLW       1
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__write_mlx9061459
	MOVLW       0
	SUBWF       write_mlx90614_a_L0+0, 0 
L__write_mlx9061459:
	BTFSC       STATUS+0, 0 
	GOTO        L_write_mlx9061415
;mlx90614.c,59 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;mlx90614.c,60 :: 		I2C1_Wr(mlx90614_address << 1);
	MOVLW       180
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mlx90614.c,61 :: 		I2C1_Wr(address);
	MOVF        FARG_write_mlx90614_address+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mlx90614.c,62 :: 		I2C1_Wr(lsb);
	MOVF        write_mlx90614_lsb_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mlx90614.c,63 :: 		I2C1_Wr(msb);
	MOVF        write_mlx90614_msb_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mlx90614.c,65 :: 		if (I2C1_Wr(a) == 0){
	MOVF        write_mlx90614_a_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_write_mlx9061417
;mlx90614.c,66 :: 		UART1_Write_Text("CRC found!\r\n");
	MOVLW       ?lstr7_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr7_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,67 :: 		UART1_Write_Text("CRC: ");
	MOVLW       ?lstr8_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr8_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,68 :: 		InttoStr(a,txt);
	MOVF        write_mlx90614_a_L0+0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        write_mlx90614_a_L0+1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       _txt+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;mlx90614.c,69 :: 		UART1_Write_Text(Ltrim(txt));
	MOVLW       _txt+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVF        R1, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,70 :: 		UART1_Write_Text("\r\n");
	MOVLW       ?lstr9_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr9_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,71 :: 		}
L_write_mlx9061417:
;mlx90614.c,58 :: 		for(a=0; a<256; a++){
	INFSNZ      write_mlx90614_a_L0+0, 1 
	INCF        write_mlx90614_a_L0+1, 1 
;mlx90614.c,72 :: 		}
	GOTO        L_write_mlx9061414
L_write_mlx9061415:
;mlx90614.c,73 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;mlx90614.c,74 :: 		cnt++;
	INFSNZ      write_mlx90614_cnt_L0+0, 1 
	INCF        write_mlx90614_cnt_L0+1, 1 
;mlx90614.c,75 :: 		}
	GOTO        L_write_mlx9061410
L_write_mlx9061411:
;mlx90614.c,76 :: 		UART1_Write_Text("Data written\r\n\r\n");
	MOVLW       ?lstr10_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr10_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,77 :: 		}
	GOTO        L_write_mlx9061418
L_write_mlx906140:
;mlx90614.c,78 :: 		else UART1_Write_Text("Can't write to RAM\r\n\r\n");
	MOVLW       ?lstr11_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr11_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
L_write_mlx9061418:
;mlx90614.c,80 :: 		return 0;
	CLRF        R0 
	CLRF        R1 
;mlx90614.c,81 :: 		}
L_end_write_mlx90614:
	RETURN      0
; end of _write_mlx90614

_read_mlx90614:

;mlx90614.c,83 :: 		float read_mlx90614(char address){
;mlx90614.c,87 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;mlx90614.c,88 :: 		I2C1_Wr(mlx90614_address << 1);
	MOVLW       180
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mlx90614.c,89 :: 		I2C1_Wr(address);
	MOVF        FARG_read_mlx90614_address+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mlx90614.c,90 :: 		I2C1_Repeated_Start();
	CALL        _I2C1_Repeated_Start+0, 0
;mlx90614.c,91 :: 		I2C1_Wr((mlx90614_address << 1)+1);
	MOVLW       181
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mlx90614.c,92 :: 		value = I2C1_Rd(0);
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       read_mlx90614_value_L0+0 
	MOVLW       0
	MOVWF       read_mlx90614_value_L0+1 
;mlx90614.c,93 :: 		if (address != SMBus_Address){    //SMBus address is 8bit
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__read_mlx9061461
	MOVLW       46
	XORWF       FARG_read_mlx90614_address+0, 0 
L__read_mlx9061461:
	BTFSC       STATUS+0, 2 
	GOTO        L_read_mlx9061419
;mlx90614.c,94 :: 		value = (I2C1_Rd(0) << 8) | value;
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	CLRF        R1 
	MOVF        R1, 0 
	IORWF       read_mlx90614_value_L0+0, 1 
	MOVF        R2, 0 
	IORWF       read_mlx90614_value_L0+1, 1 
;mlx90614.c,95 :: 		}
L_read_mlx9061419:
;mlx90614.c,96 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;mlx90614.c,98 :: 		switch(address){
	GOTO        L_read_mlx9061420
;mlx90614.c,99 :: 		case obj_temp: UART1_Write_Text("To = "); break;
L_read_mlx9061422:
	MOVLW       ?lstr12_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr12_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_read_mlx9061421
;mlx90614.c,100 :: 		case amb_temp: UART1_Write_Text("Ta = "); break;
L_read_mlx9061423:
	MOVLW       ?lstr13_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr13_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_read_mlx9061421
;mlx90614.c,101 :: 		case Tmax: UART1_Write_Text("Tmax = "); break;
L_read_mlx9061424:
	MOVLW       ?lstr14_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr14_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_read_mlx9061421
;mlx90614.c,102 :: 		case Tmin: UART1_Write_Text("Tmin = "); break;
L_read_mlx9061425:
	MOVLW       ?lstr15_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr15_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_read_mlx9061421
;mlx90614.c,103 :: 		case amb_range: UART1_Write_Text("Ta range = "); break;
L_read_mlx9061426:
	MOVLW       ?lstr16_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr16_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_read_mlx9061421
;mlx90614.c,104 :: 		case PWMCTRL: UART1_Write_Text("PWMCTRL = "); break;
L_read_mlx9061427:
	MOVLW       ?lstr17_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr17_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_read_mlx9061421
;mlx90614.c,105 :: 		case Conreg1: UART1_Write_Text("Config Register 1 = "); break;
L_read_mlx9061428:
	MOVLW       ?lstr18_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr18_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_read_mlx9061421
;mlx90614.c,106 :: 		case SMBus_Address: UART1_Write_Text("SMBus Address = "); break;
L_read_mlx9061429:
	MOVLW       ?lstr19_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr19_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	GOTO        L_read_mlx9061421
;mlx90614.c,107 :: 		}
L_read_mlx9061420:
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__read_mlx9061462
	MOVLW       7
	XORWF       FARG_read_mlx90614_address+0, 0 
L__read_mlx9061462:
	BTFSC       STATUS+0, 2 
	GOTO        L_read_mlx9061422
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__read_mlx9061463
	MOVLW       6
	XORWF       FARG_read_mlx90614_address+0, 0 
L__read_mlx9061463:
	BTFSC       STATUS+0, 2 
	GOTO        L_read_mlx9061423
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__read_mlx9061464
	MOVLW       32
	XORWF       FARG_read_mlx90614_address+0, 0 
L__read_mlx9061464:
	BTFSC       STATUS+0, 2 
	GOTO        L_read_mlx9061424
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__read_mlx9061465
	MOVLW       33
	XORWF       FARG_read_mlx90614_address+0, 0 
L__read_mlx9061465:
	BTFSC       STATUS+0, 2 
	GOTO        L_read_mlx9061425
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__read_mlx9061466
	MOVLW       35
	XORWF       FARG_read_mlx90614_address+0, 0 
L__read_mlx9061466:
	BTFSC       STATUS+0, 2 
	GOTO        L_read_mlx9061426
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__read_mlx9061467
	MOVLW       34
	XORWF       FARG_read_mlx90614_address+0, 0 
L__read_mlx9061467:
	BTFSC       STATUS+0, 2 
	GOTO        L_read_mlx9061427
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__read_mlx9061468
	MOVLW       37
	XORWF       FARG_read_mlx90614_address+0, 0 
L__read_mlx9061468:
	BTFSC       STATUS+0, 2 
	GOTO        L_read_mlx9061428
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__read_mlx9061469
	MOVLW       46
	XORWF       FARG_read_mlx90614_address+0, 0 
L__read_mlx9061469:
	BTFSC       STATUS+0, 2 
	GOTO        L_read_mlx9061429
L_read_mlx9061421:
;mlx90614.c,109 :: 		if (address <= 0x21){
	MOVF        FARG_read_mlx90614_address+0, 0 
	SUBLW       33
	BTFSS       STATUS+0, 0 
	GOTO        L_read_mlx9061430
;mlx90614.c,110 :: 		if (address <= 0x07){
	MOVF        FARG_read_mlx90614_address+0, 0 
	SUBLW       7
	BTFSS       STATUS+0, 0 
	GOTO        L_read_mlx9061431
;mlx90614.c,111 :: 		value_celsius = value * 0.02 - 273.15;
	MOVF        read_mlx90614_value_L0+0, 0 
	MOVWF       R0 
	MOVF        read_mlx90614_value_L0+1, 0 
	MOVWF       R1 
	CALL        _word2double+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       215
	MOVWF       R5 
	MOVLW       35
	MOVWF       R6 
	MOVLW       121
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       51
	MOVWF       R4 
	MOVLW       147
	MOVWF       R5 
	MOVLW       8
	MOVWF       R6 
	MOVLW       135
	MOVWF       R7 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       read_mlx90614_value_celsius_L0+0 
	MOVF        R1, 0 
	MOVWF       read_mlx90614_value_celsius_L0+1 
	MOVF        R2, 0 
	MOVWF       read_mlx90614_value_celsius_L0+2 
	MOVF        R3, 0 
	MOVWF       read_mlx90614_value_celsius_L0+3 
;mlx90614.c,112 :: 		}
	GOTO        L_read_mlx9061432
L_read_mlx9061431:
;mlx90614.c,113 :: 		else value_celsius = value / 100.0 - 273.15;
	MOVF        read_mlx90614_value_L0+0, 0 
	MOVWF       R0 
	MOVF        read_mlx90614_value_L0+1, 0 
	MOVWF       R1 
	CALL        _word2double+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       72
	MOVWF       R6 
	MOVLW       133
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVLW       51
	MOVWF       R4 
	MOVLW       147
	MOVWF       R5 
	MOVLW       8
	MOVWF       R6 
	MOVLW       135
	MOVWF       R7 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       read_mlx90614_value_celsius_L0+0 
	MOVF        R1, 0 
	MOVWF       read_mlx90614_value_celsius_L0+1 
	MOVF        R2, 0 
	MOVWF       read_mlx90614_value_celsius_L0+2 
	MOVF        R3, 0 
	MOVWF       read_mlx90614_value_celsius_L0+3 
L_read_mlx9061432:
;mlx90614.c,114 :: 		FloatToStr(value_celsius, txt);
	MOVF        read_mlx90614_value_celsius_L0+0, 0 
	MOVWF       FARG_FloatToStr_fnum+0 
	MOVF        read_mlx90614_value_celsius_L0+1, 0 
	MOVWF       FARG_FloatToStr_fnum+1 
	MOVF        read_mlx90614_value_celsius_L0+2, 0 
	MOVWF       FARG_FloatToStr_fnum+2 
	MOVF        read_mlx90614_value_celsius_L0+3, 0 
	MOVWF       FARG_FloatToStr_fnum+3 
	MOVLW       _txt+0
	MOVWF       FARG_FloatToStr_str+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_FloatToStr_str+1 
	CALL        _FloatToStr+0, 0
;mlx90614.c,116 :: 		UART1_Write_Text(Ltrim(txt));
	MOVLW       _txt+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVF        R1, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,117 :: 		UART1_Write_Text(" C (Register value: ");
	MOVLW       ?lstr20_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr20_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,119 :: 		WordToStr(value, txt);
	MOVF        read_mlx90614_value_L0+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        read_mlx90614_value_L0+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _txt+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;mlx90614.c,120 :: 		UART1_Write_Text(Ltrim(txt));
	MOVLW       _txt+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVF        R1, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,121 :: 		UART1_Write_Text(") \r\n");
	MOVLW       ?lstr21_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr21_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,122 :: 		}
	GOTO        L_read_mlx9061433
L_read_mlx9061430:
;mlx90614.c,123 :: 		else if (address == amb_range){
	MOVLW       0
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__read_mlx9061470
	MOVLW       35
	XORWF       FARG_read_mlx90614_address+0, 0 
L__read_mlx9061470:
	BTFSS       STATUS+0, 2 
	GOTO        L_read_mlx9061434
;mlx90614.c,124 :: 		value_celsius = (((value & 0xFF) * 64.0) / 100.0) - 38.2;
	MOVLW       255
	ANDWF       read_mlx90614_value_L0+0, 0 
	MOVWF       R0 
	MOVF        read_mlx90614_value_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ANDWF       R1, 1 
	CALL        _word2double+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       133
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       72
	MOVWF       R6 
	MOVLW       133
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVLW       205
	MOVWF       R4 
	MOVLW       204
	MOVWF       R5 
	MOVLW       24
	MOVWF       R6 
	MOVLW       132
	MOVWF       R7 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       read_mlx90614_value_celsius_L0+0 
	MOVF        R1, 0 
	MOVWF       read_mlx90614_value_celsius_L0+1 
	MOVF        R2, 0 
	MOVWF       read_mlx90614_value_celsius_L0+2 
	MOVF        R3, 0 
	MOVWF       read_mlx90614_value_celsius_L0+3 
;mlx90614.c,125 :: 		FloatToStr(value_celsius, txt);
	MOVF        R0, 0 
	MOVWF       FARG_FloatToStr_fnum+0 
	MOVF        R1, 0 
	MOVWF       FARG_FloatToStr_fnum+1 
	MOVF        R2, 0 
	MOVWF       FARG_FloatToStr_fnum+2 
	MOVF        R3, 0 
	MOVWF       FARG_FloatToStr_fnum+3 
	MOVLW       _txt+0
	MOVWF       FARG_FloatToStr_str+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_FloatToStr_str+1 
	CALL        _FloatToStr+0, 0
;mlx90614.c,126 :: 		UART1_Write_Text(Ltrim(txt));
	MOVLW       _txt+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVF        R1, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,128 :: 		UART1_Write_Text(" - ");
	MOVLW       ?lstr22_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr22_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,130 :: 		value_celsius = (((value >> 8) * 64.0) / 100.0) - 38.2;
	MOVF        read_mlx90614_value_L0+1, 0 
	MOVWF       R0 
	CLRF        R1 
	CALL        _word2double+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       133
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       72
	MOVWF       R6 
	MOVLW       133
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVLW       205
	MOVWF       R4 
	MOVLW       204
	MOVWF       R5 
	MOVLW       24
	MOVWF       R6 
	MOVLW       132
	MOVWF       R7 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       read_mlx90614_value_celsius_L0+0 
	MOVF        R1, 0 
	MOVWF       read_mlx90614_value_celsius_L0+1 
	MOVF        R2, 0 
	MOVWF       read_mlx90614_value_celsius_L0+2 
	MOVF        R3, 0 
	MOVWF       read_mlx90614_value_celsius_L0+3 
;mlx90614.c,131 :: 		FloatToStr(value_celsius, txt);
	MOVF        R0, 0 
	MOVWF       FARG_FloatToStr_fnum+0 
	MOVF        R1, 0 
	MOVWF       FARG_FloatToStr_fnum+1 
	MOVF        R2, 0 
	MOVWF       FARG_FloatToStr_fnum+2 
	MOVF        R3, 0 
	MOVWF       FARG_FloatToStr_fnum+3 
	MOVLW       _txt+0
	MOVWF       FARG_FloatToStr_str+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_FloatToStr_str+1 
	CALL        _FloatToStr+0, 0
;mlx90614.c,132 :: 		UART1_Write_Text(Ltrim(txt));
	MOVLW       _txt+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVF        R1, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,133 :: 		UART1_Write_Text(" C (Register value: ");
	MOVLW       ?lstr23_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr23_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,135 :: 		WordToStr(value, txt);
	MOVF        read_mlx90614_value_L0+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        read_mlx90614_value_L0+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _txt+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;mlx90614.c,136 :: 		UART1_Write_Text(Ltrim(txt));
	MOVLW       _txt+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVF        R1, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,137 :: 		UART1_Write_Text(") \r\n");
	MOVLW       ?lstr24_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr24_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,138 :: 		}
	GOTO        L_read_mlx9061435
L_read_mlx9061434:
;mlx90614.c,140 :: 		WordToHex(value, txt);
	MOVF        read_mlx90614_value_L0+0, 0 
	MOVWF       FARG_WordToHex_input+0 
	MOVF        read_mlx90614_value_L0+1, 0 
	MOVWF       FARG_WordToHex_input+1 
	MOVLW       _txt+0
	MOVWF       FARG_WordToHex_output+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_WordToHex_output+1 
	CALL        _WordToHex+0, 0
;mlx90614.c,141 :: 		UART1_Write_Text("0x");
	MOVLW       ?lstr25_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr25_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,142 :: 		UART1_Write_Text(txt);
	MOVLW       _txt+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,143 :: 		UART1_Write_Text("\r\n");
	MOVLW       ?lstr26_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr26_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,144 :: 		}
L_read_mlx9061435:
L_read_mlx9061433:
;mlx90614.c,146 :: 		return 0;
	CLRF        R0 
	CLRF        R1 
	CLRF        R2 
	CLRF        R3 
;mlx90614.c,147 :: 		}
L_end_read_mlx90614:
	RETURN      0
; end of _read_mlx90614

_main:

;mlx90614.c,149 :: 		void main() {
;mlx90614.c,150 :: 		I2C1_Init(100000);
	MOVLW       50
	MOVWF       SSPADD+0 
	CALL        _I2C1_Init+0, 0
;mlx90614.c,151 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main36:
	DECFSZ      R13, 1, 1
	BRA         L_main36
	DECFSZ      R12, 1, 1
	BRA         L_main36
	DECFSZ      R11, 1, 1
	BRA         L_main36
	NOP
;mlx90614.c,153 :: 		UART1_Init(19200);
	BSF         BAUDCON+0, 3, 0
	MOVLW       1
	MOVWF       SPBRGH+0 
	MOVLW       3
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;mlx90614.c,154 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main37:
	DECFSZ      R13, 1, 1
	BRA         L_main37
	DECFSZ      R12, 1, 1
	BRA         L_main37
	DECFSZ      R11, 1, 1
	BRA         L_main37
	NOP
;mlx90614.c,156 :: 		UART1_Write_Text("Ready\r\n");
	MOVLW       ?lstr27_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr27_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,158 :: 		while (1){
L_main38:
;mlx90614.c,159 :: 		if(UART1_Data_Ready()){
	CALL        _UART1_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main40
;mlx90614.c,160 :: 		switch(UART1_Read()){
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+2 
	GOTO        L_main41
;mlx90614.c,161 :: 		case '\n':
L_main43:
;mlx90614.c,162 :: 		if(strcmp(uart_rd, "Read") == 0){
	MOVLW       _uart_rd+0
	MOVWF       FARG_strcmp_s1+0 
	MOVLW       hi_addr(_uart_rd+0)
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr28_mlx90614+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr28_mlx90614+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main72
	MOVLW       0
	XORWF       R0, 0 
L__main72:
	BTFSS       STATUS+0, 2 
	GOTO        L_main44
;mlx90614.c,163 :: 		UART1_Write_Text("Reading...\r\n\r\n");
	MOVLW       ?lstr29_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr29_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,164 :: 		UART1_Write_Text("RAM:\r\n") ;
	MOVLW       ?lstr30_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr30_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,165 :: 		read_mlx90614(obj_temp);
	MOVLW       7
	MOVWF       FARG_read_mlx90614_address+0 
	CALL        _read_mlx90614+0, 0
;mlx90614.c,166 :: 		read_mlx90614(amb_temp);
	MOVLW       6
	MOVWF       FARG_read_mlx90614_address+0 
	CALL        _read_mlx90614+0, 0
;mlx90614.c,167 :: 		UART1_Write_Text("\r\nEEPROM:\r\n") ;
	MOVLW       ?lstr31_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr31_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,168 :: 		read_mlx90614(Tmax);
	MOVLW       32
	MOVWF       FARG_read_mlx90614_address+0 
	CALL        _read_mlx90614+0, 0
;mlx90614.c,169 :: 		read_mlx90614(Tmin);
	MOVLW       33
	MOVWF       FARG_read_mlx90614_address+0 
	CALL        _read_mlx90614+0, 0
;mlx90614.c,170 :: 		read_mlx90614(amb_range);
	MOVLW       35
	MOVWF       FARG_read_mlx90614_address+0 
	CALL        _read_mlx90614+0, 0
;mlx90614.c,171 :: 		read_mlx90614(PWMCTRL);
	MOVLW       34
	MOVWF       FARG_read_mlx90614_address+0 
	CALL        _read_mlx90614+0, 0
;mlx90614.c,172 :: 		read_mlx90614(Conreg1);
	MOVLW       37
	MOVWF       FARG_read_mlx90614_address+0 
	CALL        _read_mlx90614+0, 0
;mlx90614.c,173 :: 		read_mlx90614(SMBus_Address);
	MOVLW       46
	MOVWF       FARG_read_mlx90614_address+0 
	CALL        _read_mlx90614+0, 0
;mlx90614.c,175 :: 		UART1_Write_Text("\r\n\r\n") ;
	MOVLW       ?lstr32_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr32_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;mlx90614.c,176 :: 		}
	GOTO        L_main45
L_main44:
;mlx90614.c,177 :: 		else if(strcmp(uart_rd, "Write") == 0){
	MOVLW       _uart_rd+0
	MOVWF       FARG_strcmp_s1+0 
	MOVLW       hi_addr(_uart_rd+0)
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr33_mlx90614+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr33_mlx90614+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main73
	MOVLW       0
	XORWF       R0, 0 
L__main73:
	BTFSS       STATUS+0, 2 
	GOTO        L_main46
;mlx90614.c,183 :: 		write_mlx90614(Tmax,100);  // Set Tmax to 100C
	MOVLW       32
	MOVWF       FARG_write_mlx90614_address+0 
	MOVLW       100
	MOVWF       FARG_write_mlx90614_value+0 
	MOVLW       0
	MOVWF       FARG_write_mlx90614_value+1 
	MOVWF       FARG_write_mlx90614_value+2 
	MOVWF       FARG_write_mlx90614_value+3 
	CALL        _write_mlx90614+0, 0
;mlx90614.c,184 :: 		write_mlx90614(Tmin,0);    // Set Tmin to 0C
	MOVLW       33
	MOVWF       FARG_write_mlx90614_address+0 
	CLRF        FARG_write_mlx90614_value+0 
	CLRF        FARG_write_mlx90614_value+1 
	CLRF        FARG_write_mlx90614_value+2 
	CLRF        FARG_write_mlx90614_value+3 
	CALL        _write_mlx90614+0, 0
;mlx90614.c,185 :: 		write_mlx90614(PWMCTRL,513);  //Set PWMCTRL register to a value 513 decimal (PWM OFF)
	MOVLW       34
	MOVWF       FARG_write_mlx90614_address+0 
	MOVLW       1
	MOVWF       FARG_write_mlx90614_value+0 
	MOVLW       2
	MOVWF       FARG_write_mlx90614_value+1 
	MOVLW       0
	MOVWF       FARG_write_mlx90614_value+2 
	MOVWF       FARG_write_mlx90614_value+3 
	CALL        _write_mlx90614+0, 0
;mlx90614.c,186 :: 		}
	GOTO        L_main47
L_main46:
;mlx90614.c,187 :: 		else UART1_Write_Text("Unknown command. Use Read and Write.\r\n") ;
	MOVLW       ?lstr34_mlx90614+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr34_mlx90614+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
L_main47:
L_main45:
;mlx90614.c,189 :: 		counter = 0 ;
	CLRF        _counter+0 
;mlx90614.c,190 :: 		*uart_rd = 0 ;
	CLRF        _uart_rd+0 
;mlx90614.c,191 :: 		break ;
	GOTO        L_main42
;mlx90614.c,193 :: 		case '\r': break ;
L_main48:
	GOTO        L_main42
;mlx90614.c,195 :: 		default:
L_main49:
;mlx90614.c,196 :: 		uart_rd[counter] = UART1_Read() ;
	MOVLW       _uart_rd+0
	MOVWF       FLOC__main+0 
	MOVLW       hi_addr(_uart_rd+0)
	MOVWF       FLOC__main+1 
	MOVF        _counter+0, 0 
	ADDWF       FLOC__main+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FLOC__main+1, 1 
	CALL        _UART1_Read+0, 0
	MOVFF       FLOC__main+0, FSR1
	MOVFF       FLOC__main+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;mlx90614.c,197 :: 		counter++ ;
	INCF        _counter+0, 1 
;mlx90614.c,198 :: 		uart_rd[counter] = 0 ;
	MOVLW       _uart_rd+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_uart_rd+0)
	MOVWF       FSR1H 
	MOVF        _counter+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;mlx90614.c,199 :: 		}
	GOTO        L_main42
L_main41:
	MOVF        FLOC__main+2, 0 
	XORLW       10
	BTFSC       STATUS+0, 2 
	GOTO        L_main43
	MOVF        FLOC__main+2, 0 
	XORLW       13
	BTFSC       STATUS+0, 2 
	GOTO        L_main48
	GOTO        L_main49
L_main42:
;mlx90614.c,200 :: 		}
L_main40:
;mlx90614.c,201 :: 		}
	GOTO        L_main38
;mlx90614.c,202 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
